// 秒寻科技
// 队列排序
// 周涛
// 2024-08-02

#include "../includes/includes.h"

// 浮点数正排序
// pfDataList:数据队列，输出参数
// dwDataLen:数据队列长度
void util_sort_flt32_asc(flt32 *pfDataList, uint32 dwDataLen)
{
    flt32 fTmp = 0;
    for (uint32 i = 0; i < dwDataLen; i++)
    {
        for (uint32 j = i + 1; j < dwDataLen; j++)
        {
            if (pfDataList[j] < pfDataList[i])
            {
                fTmp = pfDataList[i];
                pfDataList[i] = pfDataList[j];
                pfDataList[j] = fTmp;
            }
        }
    }

    return;
}
